All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.remotefileselector2
Class BaseRemoteFileToolBar

    com.sas.servlet.tbeans.remotefileselector2.BaseRemoteFileToolBar

All Implemented Interfaces:
  ActionProviderViewInterface, HttpActionProviderInterface, HttpActionProviderViewInterface, com.sas.actionprovider.refresh.PartialRefreshActionsInterface, URLTemplateViewInterface, com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, com.sas.servlet.tbeans.AJAXControllerURLInterface, ComplexStyleInterface, CompositeComponentInterface, RenderableInterface, TemplateInterface, com.sas.servlet.tbeans.TemplateKeyInterface, TransformationInterface, com.sas.servlet.tbeans.TransformationInterface2, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

Direct Known Subclasses:
  RemoteFileToolBar

    public abstract class BaseRemoteFileToolBar

The BaseRemoteFileToolBar is an abstract TransformationBean™ that provides the base function for the RemoteFileToolBar. The main function of the ToolBar component is to enhance the ability to navigate a repository when using the RemoteFileSelector component.

This class requires a model. A viewer instance that implements the `RemoteFileSelectorInterface` is the expected value for the model. This class was designed to be used specifically with the `RemoteFileSelector` Transformation Bean component. Thus, the `RemoteFileSelector` class does implement the required interface.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.servlet.tbeans.BaseActionCompositeTransformation
`viewerSupport`

Constructor Summary
`BaseRemoteFileToolBar()`

Method Summary
`RemoteFileSelectorInterface` | `getModel()` Returns the RemoteFileSelector component navigated by the ToolBar Actions.
`boolean` | `isSearchResultsDisplayed()` Returns the display status for the search results in the `Location` drop-down.
`void` | `setModel(RemoteFileSelectorInterface model)` Sets viewer component that implements the RemoteFileSelectorInterface.
`void` | `setSearchResultsDisplayed(boolean display)` Determines whether the search results are persisted in the drop-down.

Methods inherited from class com.sas.servlet.tbeans.BaseActionCompositeTransformation
`applyTemplate, applyTemplate, dispose, getActionFilter, getActionSupportType, getComponentAction, getComponentActionType, getUniqueId, getViewerSupport, isActionVisible, listActionTypes, listAreaTypes, moveActionAttributesToComponent, setActionProvider, setActionSupportType, setActionVisible, setComponent, setComponentActionType, setUniqueId, writeTemplate`

Methods inherited from class com.sas.servlet.tbeans.BaseCompositeTransformation
`getActionProvider, getComponent, getComponents, getDefaultTemplate, getStyleInfo, getStyleMap, getTemplate, getTemplateDictionary, getTemplateFileName, getTemplateLocation, getVisibleComponents, isFlushEnabled, propertyChange, removeComponent, setCleanUpResourcesOn, setComponent, setFlushEnabled, setId, setLocale, setRequest, setResponse, setStyleInfo, setTemplate, setTemplate, setTemplateDictionary, setTemplateFileName, setTemplateLocation`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCustomAttributes, setInputTransform, setLocaleDependentProperties, setName, setObjectData, setObjectDataProperty, setOutputTransform, setRequest, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.servlet.tbeans.TransformationInterface
`getCustomAttributes, getDescription, getId, getLocale, getName, getRequest, getResponse, getTagEpilog, getTagProlog, isVisible, setCustomAttributes, setDescription, setId, setLocale, setName, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, write, write, write`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderViewInterface
`getRequest, setRequest`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderInterface
`getActionProvider`

Constructor Detail

### BaseRemoteFileToolBar

    public BaseRemoteFileToolBar()

Method Detail

### setModel

    public void setModel(RemoteFileSelectorInterface model)

  Sets viewer component that implements the RemoteFileSelectorInterface. A RemoteFileSelector component implements this interface. The ToolBar component needs access to the viewer's mode, the viewer's model and the viewer's description renderer. If the model is null the ToolBar will not execute `Actions` properly.

  Parameters:
    `model` - viewer that implements the RemoteFileSelectorInterface, such as the RemoteFileSelector Transformation Bean
  See Also:
    `getModel()`

### getModel

    public RemoteFileSelectorInterface getModel()

  Returns the RemoteFileSelector component navigated by the ToolBar Actions.

  Returns:
    RemoteFileSelector viewer
  See Also:
    `setModel(RemoteFileSelectorInterface)`

### setSearchResultsDisplayed

    public void setSearchResultsDisplayed(boolean display)

  Determines whether the search results are persisted in the drop-down. This allows the user to return to the results of the last search.

  Parameters:
    `display` - if `true` the search results are persisted, otherwise the last search results are not available from the `Location` drop-down
  See Also:
    `isSearchResultsDisplayed()`

### isSearchResultsDisplayed

    public boolean isSearchResultsDisplayed()

  Returns the display status for the search results in the `Location` drop-down.

  Returns:
    a boolean indicating the search results display status in the `Location` drop-down, the value of `false` is returned by default
  See Also:
    `setSearchResultsDisplayed(boolean)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.